Update the specified content item by given content reference or unique identifier.
1 min
PATCH
/api/episerver/v3.0/contentmanagement/{contentIdentifier}
Path Parameters
- contentIdentifierstringrequiredDescription
Header Parameters
- x-epi-validation-modecontentValidationModeDescription
Body Parameters
- bodypatchContentrequiredDescription
- namestringDescriptionMax Length255
- languagelanguageDescription
- displayNamestringDescription
- namestringrequiredDescription
- routeSegmentstringDescription
- startPublishstring<date-time>DescriptionFormatdate-time
- stopPublishstring<date-time>DescriptionFormatdate-time
- statusversionStatus
Responses
204
400
403
404
curl
curl --request PATCH \
--url /api/episerver/v3.0/contentmanagement/{contentIdentifier} \
--header 'accept: application/problem+json' \
--header 'content-type: application/json-patch+json' \
--header 'x-epi-validation-mode: object' \
--data '{
"language": {
"name": ""
}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/problem+json");
myHeaders.append("content-type", "application/json-patch+json");
myHeaders.append("x-epi-validation-mode", "object");
var raw = JSON.stringify({
"language": {
"name": ""
}
});
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("/api/episerver/v3.0/contentmanagement/{contentIdentifier}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/episerver/v3.0/contentmanagement/{contentIdentifier}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Patch.new(url)
request["accept"] = "application/problem+json"
request["content-type"] = "application/json-patch+json"
request["x-epi-validation-mode"] = "object"
request.body = JSON.dump({
"language": {
"name": ""
}
})
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/episerver/v3.0/contentmanagement/{contentIdentifier}"
payload = json.dumps({
"language": {
"name": ""
}
})
headers = {
'accept': 'application/problem+json',
'content-type': 'application/json-patch+json',
'x-epi-validation-mode': 'object'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
204
// No Content
400
// Bad Request
403
// Forbidden
404
// Not Found